SemwidgJS.Proxy = function() {

};

SemwidgJS.Proxy.prototype = new SemwidgJS.ConfigElement();

SemwidgJS.Proxy.prototype._getType = function() {
	return 'SwProxy';
};

SemwidgJS.Proxy.prototype.setId = function(id) {

	// An id must not be changed
	if (this.id === undefined && !SemwidgJS.Util.String.isEmpty(id)) {
		
		var valid = true;
		if (SemwidgJS.Util.String.isEmpty(id)) {
			valid = false;
			console.error('Proxy id is empty');
		}
		if (id.toLowerCase() == "default") {
			valid = false;
			console.error('Proxy id "default" is not allowed');
		}
		if (id.toLowerCase() == "none") {
			valid = false;
			console.error('Proxy id "none" is not allowed');
		}

		if (valid) {
			this.id = id;
		}

		this._dispatchEvent(new SemwidgJS.Event('idChanged', id));
	}else {
		console.warn('Tried to change id of ' + this.id + '. This is not allowed.')
	}
};
	
SemwidgJS.Proxy.prototype.getUrl = function() {
	return this.url;
};
	
SemwidgJS.Proxy.prototype.setUrl = function(url) {

	if (SemwidgJS.Util.String.isEmpty(url)) {
		console.warn('Proxy "' + this.getId() + '": url is empty');
	}

	this.url = url;

	this._dispatchEvent(new SemwidgJS.Event('urlChanged', this.url));
	this._dispatchEvent(new SemwidgJS.Event('proxyChanged', 'url'));
};
