SemwidgJS.Resource = function() {

};

SemwidgJS.Resource.prototype = new SemwidgJS.ConfigElement();

SemwidgJS.Resource.prototype._getType = function() {
	return 'SwResource';
};

SemwidgJS.Resource.prototype.getUri = function() {
	return this.uri;
};

SemwidgJS.Resource.prototype.setUri = function(uri) {

	this.uri = uri;

	this._dispatchEvent(new SemwidgJS.Event('uriChanged', this.uri));
	this._dispatchEvent(new SemwidgJS.Event('resourceChanged', 'uri'));
};

SemwidgJS.Resource.prototype.getEndpoint = function() {
	return this.endpoint;
};

SemwidgJS.Resource.prototype.setEndpoint = function(endpoint) {

	if (!SemwidgJS.Util.String.isEmpty(endpoint) &&SemwidgJS.getConfig().getEndpoint(endpoint) == null) {
		console.warn('Resource "' + this.getId() + '": endpoint "' + endpoint + '" is not available');
	}

	this.endpoint = endpoint;

	this._dispatchEvent(new SemwidgJS.Event('endpointChanged', this.endpoint));
	this._dispatchEvent(new SemwidgJS.Event('resourceChanged', 'endpoint'));
};
