SemwidgJS.SwInputText = function() {

	this._addProperties([
		['target', 'selector', 'Element and property to change with input text. Example: "mySemwidgId.value"']
	]);

};

SemwidgJS.SwInputText.prototype = new SemwidgJS.SwWidget();

SemwidgJS.SwInputText.prototype._buildHtml = function() {

	var html = '';

	html += '<input type="text" ';
	html += this._getDefaultHtmlAttributes();
	html += ' name="' + this.getId() + 'Name_' + SemwidgJS.getInstanceId() + '" ';

	if (this.getValue()) {
		html += ' value="' + this.getValueDefaultValue() + '" ';
	}else if (this.getTarget()) {
		html += ' value="' + SemwidgJS.Util.getValueBySelector(this.getTarget()) + '" ';
	}
	

	if (this.getTarget()) {
		html += ' onkeydown="if (event.keyCode == 13) { SemwidgJS.SwInputText.widgetFunction_changeMapping(' + 
			"'" + this.getTarget() + "'" + ', encodeURI(this.value)); return false;}" ';
	}

	html += '>';

	html += '<button type="button" onclick="SemwidgJS.SwInputText.widgetFunction_changeMapping(' + 
		"'" + this.getTarget() + "'" + ', encodeURI(document.getElementsByName(' + "'" + this.getId() + 'Name_' + SemwidgJS.getInstanceId() + "'" + ')[0].value));">Ok</button>';

	this._setHtml(html);
};

SemwidgJS.SwInputText.widgetFunction_changeMapping = function(target, value) {
	SemwidgJS.Util.setValueBySelector(target, value);
};

SemwidgJS.WidgetProvider.registerWidgetType('SemwidgJS.SwInputText');
