SemwidgJS.SwLink = function() {

	this._addProperties([
		['label', 'query', 'Label of the created link.'],
		['target', 'query', 'The Links target. Possible values are "_blank", "_self", "_parent", "_top" or a framename.']
	]);

};

SemwidgJS.SwLink.prototype = new SemwidgJS.SwWidget();

SemwidgJS.SwLink.prototype._buildHtml = function() {
	var html = '';

	html += '<a ';
	html += this._getDefaultHtmlAttributes();
	if (!SemwidgJS.Util.String.isEmpty(this.getValue())) {
		html += 'href="' + this.getValueDefaultValue() + '" ';
	}
	if (!SemwidgJS.Util.String.isEmpty(this.getTarget())) {
		html += 'target="' + this.getTargetDefaultValue() + '" ';
	}
	html += '>';
	html += this.getLabelDefaultValue();
	html += '</a>';

	this._setHtml(html);
};

SemwidgJS.WidgetProvider.registerWidgetType('SemwidgJS.SwLink');
