SemwidgJS.SwResultTable = function() {

	this._addProperties([
		
	]);
};

SemwidgJS.SwResultTable.prototype = new SemwidgJS.SwWidget();

SemwidgJS.SwResultTable.prototype._buildHtml = function() {

	var html = '';
	
	if (!this._isLoading()) {

		// Clone of namespaces (.slice(0))
		var namespaces = SemwidgJS.getConfig().getNamespaces().slice(0);
		var prefixUri = function(uri) {
			
			for (var p = 0; p < namespaces.length; p++) {
				if (uri.toLowerCase().lastIndexOf(namespaces[p].getUri().toLowerCase()) == 0) {
					uri = namespaces[p].getId() + ':' + uri.substr(namespaces[p].getUri().length);

					// move prefix to top to certainly reduce search time for next iterations
					namespaces.splice(0, 0, namespaces.splice(p, 1)[0]);

					break;
				}

			}

			return uri;
		};

		var allValues = this.getValueJoinedValues();

		for (var i = 0; i < allValues.length; i++) {

			html += '<table ';
			html += this._getDefaultHtmlAttributes();
			html += ' border="1" cellpadding="4">';
			
				var av = allValues[i][0];

				html += '<tr>';
				for (var j = 0; j < av.getVariableNames().length; j++) {
					html += '<th><span title="' + ('' + av.getVariableNames()[j]).split('__')[0] + '">' + ('' + av.getVariableNames()[j]).split('__')[0] + '</span></th>';
				}
				html += '</tr>';

				
				for (var k = 0; k < av.getResults().length; k++) { 
					
					var result = av.getResults()[k];

					html += '<tr>';
					for (var l = 0; l < result.length; l++) {
						var val = ('' + result[l].getValue()).trim();

						if (val.indexOf('http') == 0) {
							html += '<td><span title="' + val + '">';
							html += '<a href="' + val + '" target="_blank">' + prefixUri(val) + '</a>';
							html += '</span></td>';
						}else {
							html += '<td><span title="' + val + '">' +  val  + '</span></td>';
						}
						
					}

					html += '</tr>';
				}

		}

		html += '</table>';

	}else {

		html += '<table ';
		html += this._getDefaultHtmlAttributes();
		html += '>';
		html += '<tr>';
		html += '<th>Data is loading...</th>';
		html += '</tr>';
		html += '</table>';

	}

	this._setHtml(html);
};



SemwidgJS.WidgetProvider.registerWidgetType('SemwidgJS.SwResultTable');

