SemwidgJS.SwSimpleList = function() {

	this._addProperties([
		['max', 'query', 'Number of maximum elements to display']
	]);
};

SemwidgJS.SwSimpleList.prototype = new SemwidgJS.SwWidget();

SemwidgJS.SwSimpleList.prototype._buildHtml = function() {

	var value = this._getParameterObjects()['Value'];

	var html = '';

	html += '<ul ';
	html += this._getDefaultHtmlAttributes();
	html += '>';

	if (value && value.getParameterObjectParts() && value.getParameterObjectParts()[0]) {
		
		var results = value.getParameterObjectParts()[0].getSparqlResult();

		if (results && results[0] && results[0].getResultObject() && 
				results[0].getResultObject().getResults()) {

			var arr = results[0].getResultObject().getResults();

			var max = this.getMaxDefaultValue();
			if(SemwidgJS.Util.String.isEmpty(max) || max > arr.length) {
				max = arr.length;
			}

			for (var i = 0; i < max; i++) {
				html += '<li>'
					html += arr[i][arr[i].length - 1].getValue();

				html += '</li>'
			}

			if (max < arr.length) {
				html += '<li>'
					html += '...';
				html += '</li>'
			}
		}
	}

	html += '</ul>'

	this._setHtml(html);
};

SemwidgJS.WidgetProvider.registerWidgetType('SemwidgJS.SwSimpleList');
