SemwidgJS.Mapping = function() {

};

SemwidgJS.Mapping.prototype = new SemwidgJS.ConfigElement();

SemwidgJS.Mapping.prototype._getType = function() {
	return "SwMapping";
};

SemwidgJS.Mapping.prototype.getValue = function() {
	return this.value;
};

SemwidgJS.Mapping.prototype.setValue = function(value) {

	if (SemwidgJS.Util.String.isEmpty(value)) {
		console.warn('Mapping "' + this.getId() + '": value is empty');
	}

	if (this.value !== value) {
		this.value = value;

		this._writeToDom('value');

		this._dispatchEvent(new SemwidgJS.Event('valueChanged', this.value));
		this._dispatchEvent(new SemwidgJS.Event('mappingChanged', 'value'));
	}

};
