
;var SemwidgJS;
(SemwidgJS = function() {
	var __instance;
	
	SemwidgJS = function SemwidgJS() {
		return __instance;
	};
	
	__instance = new SemwidgJS();
	__instance.constructor = SemwidgJS;

	__instance.instanceId = 'SWJS' + (new Date()).getTime();

	var scripts = document.getElementsByTagName('script');
    var src = scripts[scripts.length - 1].src;

    __instance.sourceLocation = src.split('?')[0].split('/').slice(0, -1).join('/') + '/';

	return __instance;
}());

SemwidgJS.getInstanceId = function() {
	return this.instanceId;
};

SemwidgJS.getSourceLocation = function() {
	return this.sourceLocation;
};

SemwidgJS.internalCacheOnly = false;

SemwidgJS.showExceptions = false;

SemwidgJS.getConfig = function() {
	if (!this.config) {
		this.config = new SemwidgJS.Config();
	}
	
	return this.config;
};

SemwidgJS.getTemplateProvider = function() {
	if (!this.templateProvider) {
		this.templateProvider = new SemwidgJS.TemplateProvider();
	}
	
	return this.templateProvider;
};

SemwidgJS.getWidgetProvider = function() {
	if (!this.widgetProvider) {
		this.widgetProvider = new SemwidgJS.WidgetProvider();
	}

	return this.widgetProvider;
};

SemwidgJS.getUiUtilProvider = function() {
	if (!this.uiUtilProvider) {
		this.uiUtilProvider = new SemwidgJS.UiUtil.UiUtilProvider();
	}

	return this.uiUtilProvider;
};

SemwidgJS.run = function() {
	console.log("Running SemwidgJS");
	
	this.getConfig().updateConfig();
	this.getTemplateProvider().readTemplates();
	this.getWidgetProvider().readWidgets();
	this.getUiUtilProvider().readUiUtils();
};

SemwidgJS.restart = function() {

	this.destroy()
	this.run();
	
};

SemwidgJS.destroy = function() {
	SemwidgJS.Util.destroy(this.getWidgetProvider());
	this.widgetProvider = null;

	SemwidgJS.Util.destroy(this.getTemplateProvider());
	this.templateProvider = null;

	SemwidgJS.Util.destroy(this.getConfig());
	this.config = null;

	this.instanceId = 'SWJS' + (new Date()).getTime();
};
